aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/l1fwd.init31
-rw-r--r--contrib/screenrc-l1fwd3
2 files changed, 34 insertions, 0 deletions
diff --git a/contrib/l1fwd.init b/contrib/l1fwd.init
new file mode 100755
index 00000000..b228580e
--- /dev/null
+++ b/contrib/l1fwd.init
@@ -0,0 +1,31 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: l1fwd
+# Required-Start:
+# Required-Stop: $local_fs
+# Default-Start: 5
+# Default-Stop: 0 6
+# Short-Description: Start screen session with l1fwd software
+# Description:
+### END INIT INFO
+
+. /etc/default/rcS
+
+case "$1" in
+ start)
+ /usr/bin/screen -d -m -c /etc/osmocom/screenrc-l1fwd
+ ;;
+ stop)
+ echo "This script doesn't support stop"
+ exit 1
+ ;;
+ restart|reload|force-reload)
+ exit 0
+ ;;
+ show)
+ ;;
+ *)
+ echo "Usage: sysmobts {start|stop|show|reload|restart}" >&2
+ exit 1
+ ;;
+esac
diff --git a/contrib/screenrc-l1fwd b/contrib/screenrc-l1fwd
new file mode 100644
index 00000000..4256a381
--- /dev/null
+++ b/contrib/screenrc-l1fwd
@@ -0,0 +1,3 @@
+chdir /tmp
+screen -t BTS 0 /etc/osmocom/respawn.sh /usr/bin/l1fwd-proxy
+detach